Subject: Re: [PATCH v4 0/3] gpio: mvebu: Armada 8K/7K PWM support

From: Baruch Siach <[email-masked]>
Date: Mon, 04 Jan 2021 12:12:04 +0200

Hi Russell,

On Mon, Jan 04 2021, Russell King - ARM Linux admin wrote:
> On Thu, Dec 10, 2020 at 02:15:57PM +0200, Baruch Siach wrote:
>> This series makes two changes to v3:
>> 
>>   * Remove patches that are in LinusW linux-gpio for-next and fixes
>> 
>>   * Rename the 'pwm-offset' property to 'marvell,pwm-offset' as suggested by 
>>     Rob Herring
>> 
>> The original cover letter follows (with DT property name updated).
>> 
>> The gpio-mvebu driver supports the PWM functionality of the GPIO block for
>> earlier Armada variants like XP, 370 and 38x. This series extends support to
>> newer Armada variants that use CP11x and AP80x, like Armada 8K and 7K.
>> 
>> This series adds adds the 'marvell,pwm-offset' property to DT binding. 
>> 'marvell,pwm-offset' points to the base of A/B counter registers that 
>> determine the PWM period and duty cycle.
>> 
>> The existing PWM DT binding reflects an arbitrary decision to allocate the A
>> counter to the first GPIO block, and B counter to the other one. In attempt to
>> provide better future flexibility, the new 'marvell,pwm-offset' property 
>> always points to the base address of both A/B counters. The driver code still 
>> allocates the counters in the same way, but this might change in the future 
>> with no change to the DT.
>> 
>> Tested AP806 and CP110 (both) on Armada 8040 based system.
>
> Did you see the patches I sent during the last year doing this and
> adding support for the fan on the GT-8k?

You refer to the series linked below, right?

  https://lore.kernel.org/linux-pwm/[email-masked]/

(For some reason the LAKM archive is missing two years, including this
time frame)

I now remember that series. I even archived it locally. But then I
forgot about it, so I ended up recreating Armada 8K PWM support from
scratch. Sorry about that.

Any comment on this series?

baruch

-- 
                                                     ~. .~   Tk Open Systems
=}------------------------------------------------ooO--U--Ooo------------{=
   - [email-masked] - tel: +972.52.368.4656, http://www.tkos.co.il -

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel